> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/api/private-affiliate-payouts.md).

# Private Affiliate Payouts

**Affiliate API Endpoint:**

`https://explodely.com/api/v1/aff`

​

**Parameters:**

To set a private affiliate payout, you need to send below parameters as GET to the affiliate API endpoint.

username - Your Explodely account username

apikey - Your Explodely account API key

apiaction - This should always be set as "addprivatepayout"

affid - This is the Explodely affiliate username for which you wish to set private payout

productid - Your Explodely account product ID for which you wish to provide the above affiliate private payout. It can be a product ID or it can be "allproducts" if you wish to set it for all products.

comm - The % in number (between 1-80) which you wish to set as private affiliate commission

**Responses:**

The API endpoint returns a JSON object.

`{"error":"invalidapikey"}` - This is returned when the API key and username is not authenticated.

`{"error":"invalid_sellerid"}` - This is returned when the username is not a valid seller account.

`{"error":"invalid_affid"}` - This is returned when the provided affid (affiliate username) is not a valid affiliate account.

`{"error":"invalid_productid"}` - This is returned when the productid is not valid.

`{"error":"unauthorized_access"}` - This is returned when the product ID does not belong to the API user account.

`{"error":"`comm\_range\_1\_80`"}` - This is returned when the comm value is not within range.

`{"error":"`comm\_not\_numeric`"}` - This is returned when the comm value is not numeric.

`{"error":"`payout\_exists`"}` - This is returned when a private affiliate payout for the provided affid already exists.

`{"`payoutadded`":"ok"}` - This is returned when the private affiliate payout is added.

Please confirm the addition of private affiliate payout inside your seller account using a test affiliate ID and in case of any issues, contact Explodely support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.explodely.com/api/private-affiliate-payouts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
